Devuan bug report logs - #401
eudev fails to start

version graph

Package: eudev; Maintainer for eudev is Devuan Dev Team <devuan-dev@lists.dyne.org>;

Reported by: Daniel <moondrake+d@gmail.com>

Date: Sun, 23 Feb 2020 18:33:01 UTC

Severity: grave

Found in version 3.2.9-5

Done: Svante Signell <svante.signell@gmail.com>

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.devuan.org
From: "Devuan bug Tracking System" <owner@bugs.devuan.org>
To: svante.signell@gmail.com
Subject: bug#401: marked as done (eudev fails to start)
Message-ID: <handler.401.D401.158253960412345.ackdone@bugs.devuan.org>
References: <d2f4dab0c482536c59cae9b9e0335c63f5a8d73a.camel@gmail.com>
 <158247210452.9737.6890754219319812410.reportbug@Vader.Empire>
X-Devuan-PR-Message: closed 401
X-Devuan-PR-Package: eudev
Reply-To: 401@bugs.devuan.org
Date: Mon, 24 Feb 2020 10:33:35 +0000
Content-Type: multipart/mixed; boundary="----------=_1582540415-12387-0"
[Message part 1 (text/plain, inline)]
Your message dated Mon, 24 Feb 2020 11:14:48 +0100
with message-id <d2f4dab0c482536c59cae9b9e0335c63f5a8d73a.camel@gmail.com>
and subject line [Devuan-bugs] bug #401: eudev fails to start
has caused the Devuan bug report #401,
regarding eudev fails to start
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.devuan.org
immediately.)


-- 
401: https://bugs.devuan.org/cgi/bugreport.cgi?bug=401
Devuan Bug Tracking System
Contact owner@bugs.devuan.org with problems
[Message part 2 (message/rfc822, inline)]
From: Daniel <moondrake+d@gmail.com>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: eudev fails to start
Date: Sun, 23 Feb 2020 16:35:04 +0100
[Message part 3 (text/plain, inline)]
Package: eudev
Version: 3.2.9-5
Severity: grave
Justification: renders package unusable

Dear Maintainer,

I recently ran an update and booting failed (lvm disks could not be mounted). The underlying cause was that eudev was not starting.
This was probably (*) because a recent fix for container detection relied on the "head" command which is not available on my system early at boot (this
may be the underlying bug, I'm not sure).

I simply commented out the "exit" as can be seen below to make eudev start, this resolved all problems.

Cheers,

Danny

* I expected to have some way to see a history of the init file in a repository. But https://git.devuan.org/devuan-packages/eudev is outdated. I think this is a bad thing.



-- Package-specific info:

-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 4 (chimaera/ceres)
Release:	testing/unstable
Codename:	n/a
Architecture: x86_64

Kernel: Linux 5.4.0-4-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages eudev depends on:
ii  adduser      3.118
ii  debconf      1.5.73
ii  libblkid1    2.33.1-0.1+devuan1
ii  libc6        2.29-6
ii  libeudev1    3.2.9-5
ii  libkmod2     27-1
ii  libselinux1  3.0-1+b1
ii  lsb-base     11.1.0
ii  procps       2:3.3.15-2+devuan1
ii  util-linux   2.33.1-0.1+devuan1

eudev recommends no packages.

eudev suggests no packages.

-- Configuration Files:
/etc/init.d/eudev changed:
PATH="/lib/udev:/sbin:/bin"
NAME="udevd"
DAEMON="/sbin/udevd"
DESC="hot-plug events dispatcher"
PIDFILE="/run/udevd.pid"
CTRLFILE="/run/udev/control"
OMITDIR="/run/sendsigs.omit.d"
unmount_devpts() {
  if mountpoint -q /dev/pts/; then
    umount -n -l /dev/pts/
  fi
  if mountpoint -q /dev/shm/; then
    umount -n -l /dev/shm/
  fi
}
mount_devtmpfs() {
  if grep -E -q "^[^[:space:]]+ /dev devtmpfs" /proc/mounts; then
    mount -n -o remount,nosuid,size=$tmpfs_size,mode=0755 -t devtmpfs devtmpfs /dev
    return
  fi
  if ! mount -n -o nosuid,size=$tmpfs_size,mode=0755 -t devtmpfs devtmpfs /dev; then
    log_failure_msg "udevd requires devtmpfs support, not started"
    log_end_msg 1
  fi
  return 0
}
create_dev_makedev() {
  if [ -e /sbin/MAKEDEV ]; then
    ln -sf /sbin/MAKEDEV /dev/MAKEDEV
  else
    ln -sf /bin/true /dev/MAKEDEV
  fi
}
my_tty() {
  [ -x /bin/readlink ] || return 0
  [ -e /proc/self/fd/0 ] || return 0
  readlink --silent /proc/self/fd/0 || true
}
warn_if_interactive() {
  if [ "$RUNLEVEL" = "S" -a "$PREVLEVEL" = "N" ]; then
    return
  fi
  TTY=$(my_tty)
  if [ -z "$TTY" -o "$TTY" = "/dev/console" -o "$TTY" = "/dev/null" ]; then
    return
  fi
  printf "\n\n\nIt has been detected that the command\n\n\t$0 $*\n\n"
  printf "has been run from an interactive shell.\n"
  printf "It will probably not do what you expect, so this script will wait\n"
  printf "60 seconds before continuing. Press ^C to stop it.\n"
  printf "RUNNING THIS COMMAND IS HIGHLY DISCOURAGED!\n\n\n\n"
  sleep 60
}
make_static_nodes() {
  [ -e /lib/modules/$(uname -r)/modules.devname ] || return 0
  [ -x /bin/kmod ] || return 0
  /bin/kmod static-nodes --format=tmpfiles --output=/proc/self/fd/1 | \
  while read type name mode uid gid age arg; do
    [ -e $name ] && continue
    case "$type" in
      c|b|c!|b!) mknod -m $mode $name $type $(echo $arg | sed 's/:/ /') ;;
      d|d!) mkdir $name ;;
      *) echo "unparseable line ($type $name $mode $uid $gid $age $arg)" >&2 ;;
    esac
    if [ -x /sbin/restorecon ]; then
      /sbin/restorecon $name
    fi
  done
}
[ -x $DAEMON ] || exit 0
tmpfs_size="10M"
if [ -e /etc/udev/udev.conf ]; then
  . /etc/udev/udev.conf
fi
. /lib/lsb/init-functions
if [ ! -e /proc/filesystems ]; then
  log_failure_msg "udevd requires a mounted procfs, not started"
  log_end_msg 1
fi
if ! grep -q '[[:space:]]devtmpfs$' /proc/filesystems; then
  log_failure_msg "udevd requires devtmpfs support, not started"
  log_end_msg 1
fi
if [ ! -d /sys/class/ ]; then
  log_failure_msg "udevd requires a mounted sysfs, not started"
  log_end_msg 1
fi
if ! cat /proc/1/sched | head -n 1 | grep -q "(1,"; then
  log_warning_msg "udevd does not support containers, not started"
  #exit 0
fi
if [ -d /sys/class/mem/null -a ! -L /sys/class/mem/null ] || \
   [ -e /sys/block -a ! -e /sys/class/block ]; then
  log_warning_msg "CONFIG_SYSFS_DEPRECATED must not be selected"
  log_warning_msg "Booting will continue in 30 seconds but many things will be broken"
  sleep 30
fi
case "$1" in
    start)
    if [ ! -e "/run/udev/" ]; then
	warn_if_interactive
    fi
    if [ -w /sys/kernel/uevent_helper ]; then
	echo > /sys/kernel/uevent_helper
    fi
    if ! mountpoint -q /dev/; then
	unmount_devpts
	mount_devtmpfs
	[ -d /proc/1 ] || mount -n /proc
    fi
    make_static_nodes
    # clean up parts of the database created by the initramfs udev
    udevadm info --cleanup-db
    # set the SELinux context for devices created in the initramfs
    [ -x /sbin/restorecon ] && /sbin/restorecon -R /dev
    log_daemon_msg "Starting $DESC" "$NAME"
    if start-stop-daemon --start --name $NAME --user root --quiet \
	--pidfile $PIDFILE --exec $DAEMON --background --make-pidfile; then
	# prevents udevd to be killed by sendsigs (see #261 & DEBIAN #791944)
      mkdir -p $OMITDIR
      ln -sf $PIDFILE $OMITDIR/$NAME
      log_end_msg $?
    else
	log_warning_msg $?
	log_warning_msg "Waiting 15 seconds and trying to continue anyway"
	sleep 15
    fi
    log_action_begin_msg "Synthesizing the initial hotplug events (subsystems)"
    if udevadm trigger --type=subsystems --action=add; then
	log_action_end_msg $?
    else
	log_action_end_msg $?
    fi
    log_action_begin_msg "Synthesizing the initial hotplug events (devices)"
    if udevadm trigger --type=devices --action=add; then
	log_action_end_msg $?
     else
	log_action_end_msg $?
    fi
    create_dev_makedev
    # wait for the udevd childs to finish
    log_action_begin_msg "Waiting for /dev to be fully populated"
    if udevadm settle; then
	log_action_end_msg 0
    else
	log_action_end_msg 0 'timeout'
    fi
    ;;
    stop)
    log_daemon_msg "Stopping $DESC" "$NAME"
    if start-stop-daemon --stop --name $NAME --user root --quiet \
			 --pidfile $PIDFILE --remove-pidfile --oknodo --retry 5; then
	# prevents cryptsetup/dmsetup hangs ( see #261 & Debian bug #791944 )
      rm -f $CTRLFILE
      log_end_msg $?
    else
      log_end_msg $?
    fi
    ;;
    restart)
    log_daemon_msg "Stopping $DESC" "$NAME"
    if start-stop-daemon --stop --name $NAME --user root --quiet \
      --pidfile $PIDFILE --remove-pidfile --oknodo --retry 5; then
      # prevents cryptsetup/dmsetup hangs ( see #261 & Debian bug #791944 )
      rm -f $CTRLFILE
      log_end_msg $?
    else
      log_end_msg $? || true
    fi
    log_daemon_msg "Starting $DESC" "$NAME"
    if start-stop-daemon --start --name $NAME --user root --quiet \
	--pidfile $PIDFILE --exec $DAEMON --background --make-pidfile; then
      # prevents udevd to be killed by sendsigs (see #261 & DEBIAN #791944)
      mkdir -p $OMITDIR
      ln -sf $PIDFILE $OMITDIR/$NAME
      log_end_msg $?
    else
      log_end_msg $?
    fi
    ;;
    reload|force-reload)
    udevadm control --reload-rules
    ;;
    status)
    status_of_proc $DAEMON $NAME && exit 0 || exit $?
    ;;
    *)
    echo "Usage: /etc/init.d/eudev {start|stop|restart|reload|force-reload|status}" >&2
    exit 1
    ;;
esac
exit 0


-- no debconf information
[udev-database.txt (text/plain, attachment)]
[Message part 5 (message/rfc822, inline)]
From: Svante Signell <svante.signell@gmail.com>
To: 401-close@bugs.devuan.org
Subject: [Devuan-bugs] bug #401: eudev fails to start
Date: Mon, 24 Feb 2020 11:14:48 +0100
Fixed by eudev-3.2.9-6, closing.

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Tue Jul 7 00:21:17 2020;